LibreOffice: XMethodParameter Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XMethodParameter Interface Referencepublished

Reflects a method parameter. More...

`import "XMethodParameter.idl";`

Inheritance diagram for XMethodParameter:

## Public Member Functions
string | getName ()
| Returns the name of the parameter.
com::sun::star::reflection::XTypeDescription | getType ()
| Returns the type of the parameter.
boolean | isIn ()
| Returns true, if the parameter is declared as [in] or [inout] in IDL.
boolean | isOut ()
| Returns true, if the parameter is declared as [out] or [inout] in IDL.
long | getPosition ()
| Returns the position of the parameter regarding the IDL method declaration.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Reflects a method parameter.

This type is superseded by XParameter, which supports parameters of service constructors as well as parameters of interface methods.

See also
  XInterfaceMethodTypeDescription

## Member Function Documentation

## ◆ getName()

string getName | ( |  | ) |

Returns the name of the parameter.

Returns
  name of parameter

## ◆ getPosition()

long getPosition | ( |  | ) |

Returns the position of the parameter regarding the IDL method declaration.

Returns
  position of the parameter

## ◆ getType()

com::sun::star::reflection::XTypeDescription getType | ( |  | ) |

Returns the type of the parameter.

Returns
  type of parameter

## ◆ isIn()

boolean isIn | ( |  | ) |

Returns true, if the parameter is declared as [in] or [inout] in IDL.

Returns
  true, if declared [in] or [inout] parameter

## ◆ isOut()

boolean isOut | ( |  | ) |

Returns true, if the parameter is declared as [out] or [inout] in IDL.

Returns
  true, if declared [out] or [inout] parameter

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XMethodParameter.idl